#############################################################
#
# bin86
#
#############################################################
BIN86_SOURCE=bin86-0.16.17.tar.gz
BIN86_SITE=http://www.cix.co.uk/~mayday/dev86/
BIN86_DIR=$(BUILD_DIR)/bin86-0.16.17
BIN86_CAT:=zcat
BIN86_BINARY:=as/as86
BIN86_TARGET_BINARY:=usr/bin/as86

$(DL_DIR)/$(BIN86_SOURCE):
	 $(WGET) -P $(DL_DIR) $(BIN86_SITE)/$(BIN86_SOURCE)

bin86-source: $(DL_DIR)/$(BIN86_SOURCE)

$(BIN86_DIR)/.unpacked: $(DL_DIR)/$(BIN86_SOURCE)
	$(BIN86_CAT) $(DL_DIR)/$(BIN86_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(BIN86_DIR)/.unpacked

$(BIN86_DIR)/$(BIN86_BINARY): $(BIN86_DIR)/.unpacked
	$(MAKE) CFLAGS="$(TARGET_CFLAGS)" CC=$(TARGET_CC) -C $(BIN86_DIR) PREFIX=$(TARGET_DIR)/usr;
	mkdir -p $(TARGET_DIR)/usr/man
	mkdir -p $(TARGET_DIR)/usr/man/man1


$(TARGET_DIR)/$(BIN86_TARGET_BINARY): $(BIN86_DIR)/$(BIN86_BINARY)
	$(MAKE) CFLAGS="$(TARGET_CFLAGS)" CC=$(TARGET_CC) -C $(BIN86_DIR) \
		PREFIX=$(TARGET_DIR)/usr install

bin86: $(TARGET_DIR)/$(BIN86_TARGET_BINARY)

bin86-clean:
	$(MAKE) DESTDIR=$(TARGET_DIR) CC=$(TARGET_CC) -C $(BIN86_DIR) uninstall
	-$(MAKE) -C $(BIN86_DIR) clean

bin86-dirclean:
	rm -rf $(BIN86_DIR)

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_BIN86)),y)
TARGETS+=bin86
endif
